com::lomiri::location::ProviderEnumerator Class Referenceabstract

`#include <provider_enumerator.h>`

Collaboration diagram for com::lomiri::location::ProviderEnumerator:

## Public Member Functions

| ProviderEnumerator (const ProviderEnumerator &)=delete
virtual | ~ProviderEnumerator ()=default
ProviderEnumerator & | operator= (const ProviderEnumerator &)=delete
bool | operator== (const ProviderEnumerator &) const =delete
virtual void | for_each_provider (const std::function< void(const std::shared_ptr< Provider > &)> &) const =0

## Protected Member Functions

| ProviderEnumerator ()=default

## Detailed Description

Definition at line 31 of file provider_enumerator.h.

## Constructor & Destructor Documentation

## ProviderEnumerator() [1/2]

com::lomiri::location::ProviderEnumerator::ProviderEnumerator | ( | const ProviderEnumerator & |  | ) |

delete

References ProviderEnumerator().

Referenced by operator=(), operator==(), and ProviderEnumerator().

Here is the call graph for this function:

## ~ProviderEnumerator()

virtual com::lomiri::location::ProviderEnumerator::~ProviderEnumerator | ( |  | ) |

virtual default

## ProviderEnumerator() [2/2]

com::lomiri::location::ProviderEnumerator::ProviderEnumerator | ( |  | ) |

protected default

## Member Function Documentation

## for_each_provider()

virtual void com::lomiri::location::ProviderEnumerator::for_each_provider | ( | const std::function< void(const std::shared_ptr< Provider > &)> & |  | ) | const

pure virtual

## operator=()

ProviderEnumerator & com::lomiri::location::ProviderEnumerator::operator= | ( | const ProviderEnumerator & |  | ) |

delete

References ProviderEnumerator().

Here is the call graph for this function:

## operator==()

bool com::lomiri::location::ProviderEnumerator::operator== | ( | const ProviderEnumerator & |  | ) | const

delete

References ProviderEnumerator().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- provider_enumerator.h